Loading...
Searching...
No Matches
juce::TextEditor::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide TextEditor drawing functionality.

The documentation for this struct was generated from the following file:

- juce_gui_basics/widgets/juce_TextEditor.h

Inheritance diagram for juce::TextEditor::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | fillTextEditorBackground (Graphics &, int width, int height, TextEditor &)=0
virtual void | drawTextEditorOutline (Graphics &, int width, int height, TextEditor &)=0
virtual CaretComponent * | createCaretComponent (Component *keyFocusOwner)=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::TextEditor::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## fillTextEditorBackground()

virtual void juce::TextEditor::LookAndFeelMethods::fillTextEditorBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | TextEditor & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::TextEditor::TextEditor().

## drawTextEditorOutline()

virtual void juce::TextEditor::LookAndFeelMethods::drawTextEditorOutline | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | TextEditor & | )

pure virtual

Implemented in juce::LookAndFeel_V1, juce::LookAndFeel_V2, juce::LookAndFeel_V3, and juce::LookAndFeel_V4.

References juce::TextEditor::TextEditor().

## createCaretComponent()

virtual CaretComponent * juce::TextEditor::LookAndFeelMethods::createCaretComponent | ( | Component * | keyFocusOwner | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Component::Component().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited